Apache on Windows php.exe Malformed Request Path Disclosure

medium Nessus Plugin ID 11008

Synopsis

The remote server is affected by an information disclosure vulnerability.

Description

The version of Apache running on the remote Windows host will reveal the physical path of the PHP cgi binary when sent a specially crafted HTTP GET request.

Solution

Upgrade to the latest version of PHP and Apache.

See Also

https://marc.info/?l=bugtraq&m=101311698909691&w=2

Plugin Details

Severity: Medium

ID: 11008

File Name: php4_path_disclosure.nasl

Version: 1.21

Type: remote

Family: Web Servers

Published: 6/9/2002

Updated: 4/11/2022

Configuration: Enable thorough checks

Risk Information

VPR

Risk Factor: Low

Score: 2.7

CVSS v2

Risk Factor: Medium

Base Score: 5

Temporal Score: 3.7

Vector: AV:N/AC:L/Au:N/C:P/I:N/A:N

Temporal Vector: E:U/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/a:php:php

Required KB Items: www/PHP

Exploit Ease: No known exploits are available

Vulnerability Publication Date: 2/7/2002

Reference Information

CVE: CVE-2002-0249

BID: 4056